### Hierarchy

- GeoJSON
  - ArcGISGeoJSON

## Index

### Constructors

- constructor

### Methods

- getLayers
- getType
- readFeature
- readFeatures
- readGeometry
- readProjection
- setLayers
- writeFeature
- writeFeatureObject
- writeFeatures
- writeFeaturesObject
- writeGeometry
- writeGeometryObject

## Constructors

### constructor

- new ArcGISGeoJSON(opt_options: Options): ArcGISGeoJSON

- Overrides GeoJSON.__constructor

  - Defined in src/format/ArcGISGeoJSON.js:46

  #### Parameters

  - ##### opt_options: Options

    Options.

  #### Returns ArcGISGeoJSON

## Methods

### getLayers

- getLayers(): string[]

- - Defined in src/format/ArcGISGeoJSON.js:65

  #### Returns string[]

  layers

### getType

- getType(): any

- Inherited from ArcGISGeoJSON.getType

  - Defined in node_modules/ol/format/Feature.d.ts:157
  abstract

  #### Returns any

  Format.

### readFeature

- readFeature(source: Document | Element | any | string, opt_options?: ReadOptions | undefined): FeatureLike

- Inherited from ArcGISGeoJSON.readFeature

  - Defined in node_modules/ol/format/Feature.d.ts:166

  Read a single feature from a source.

  abstract

  #### Parameters

  - ##### source: Document | Element | any | string

    Source.

  - ##### Optional opt_options: ReadOptions | undefined

    Read options.

  #### Returns FeatureLike

  Feature.

### readFeatures

- readFeatures(source: Document | Element | ArrayBuffer | any | string, opt_options?: ReadOptions | undefined): Array<FeatureLike>

- Inherited from ArcGISGeoJSON.readFeatures

  - Defined in node_modules/ol/format/Feature.d.ts:175

  Read all features from a source.

  abstract

  #### Parameters

  - ##### source: Document | Element | ArrayBuffer | any | string

    Source.

  - ##### Optional opt_options: ReadOptions | undefined

    Read options.

  #### Returns Array<FeatureLike>

  Features.

### readGeometry

- readGeometry(source: Document | Element | any | string, opt_options?: ReadOptions | undefined): Geometry

- Inherited from ArcGISGeoJSON.readGeometry

  - Defined in node_modules/ol/format/Feature.d.ts:184

  Read a single geometry from a source.

  abstract

  #### Parameters

  - ##### source: Document | Element | any | string

    Source.

  - ##### Optional opt_options: ReadOptions | undefined

    Read options.

  #### Returns Geometry

  Geometry.

### readProjection

- readProjection(source: Document | Element | any | string): Projection

- Inherited from ArcGISGeoJSON.readProjection

  - Defined in node_modules/ol/format/Feature.d.ts:192

  Read the projection from a source.

  abstract

  #### Parameters

  - ##### source: Document | Element | any | string

    Source.

  #### Returns Projection

  Projection.

### setLayers

- setLayers(layers: string[]): void

- - Defined in src/format/ArcGISGeoJSON.js:72

  #### Parameters

  - ##### layers: string[]

    Layers to parse.

  #### Returns void

### writeFeature

- writeFeature(feature: any, opt_options?: WriteOptions | undefined): string

- Inherited from ArcGISGeoJSON.writeFeature

  - Defined in node_modules/ol/format/Feature.d.ts:201

  Encode a feature in this format.

  abstract

  #### Parameters

  - ##### feature: any

    Feature.

  - ##### Optional opt_options: WriteOptions | undefined

    Write options.

  #### Returns string

  Result.

### writeFeatureObject

- writeFeatureObject(feature: any, opt_options?: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined): any

- Inherited from ArcGISGeoJSON.writeFeatureObject

  - Defined in node_modules/ol/format/JSONFeature.d.ts:48
  abstract

  #### Parameters

  - ##### feature: any

    Feature.

  - ##### Optional opt_options: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined

    Write options.

  #### Returns any

  Object.

### writeFeatures

- writeFeatures(features: Array<any>, opt_options?: WriteOptions | undefined): string

- Inherited from ArcGISGeoJSON.writeFeatures

  - Defined in node_modules/ol/format/Feature.d.ts:210

  Encode an array of features in this format.

  abstract

  #### Parameters

  - ##### features: Array<any>

    Features.

  - ##### Optional opt_options: WriteOptions | undefined

    Write options.

  #### Returns string

  Result.

### writeFeaturesObject

- writeFeaturesObject(features: Array<any>, opt_options?: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined): any

- Inherited from ArcGISGeoJSON.writeFeaturesObject

  - Defined in node_modules/ol/format/JSONFeature.d.ts:55
  abstract

  #### Parameters

  - ##### features: Array<any>

    Features.

  - ##### Optional opt_options: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined

    Write options.

  #### Returns any

  Object.

### writeGeometry

- writeGeometry(geometry: Geometry, opt_options?: WriteOptions | undefined): string

- Inherited from ArcGISGeoJSON.writeGeometry

  - Defined in node_modules/ol/format/Feature.d.ts:219

  Write a single geometry in this format.

  abstract

  #### Parameters

  - ##### geometry: Geometry

    Geometry.

  - ##### Optional opt_options: WriteOptions | undefined

    Write options.

  #### Returns string

  Result.

### writeGeometryObject

- writeGeometryObject(geometry: Geometry, opt_options?: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined): any

- Inherited from ArcGISGeoJSON.writeGeometryObject

  - Defined in node_modules/ol/format/JSONFeature.d.ts:62
  abstract

  #### Parameters

  - ##### geometry: Geometry

    Geometry.

  - ##### Optional opt_options: { dataProjection?: ProjectionLike; decimals?: number; featureProjection?: ProjectionLike; rightHanded?: boolean } | undefined

    Write options.

  #### Returns any

  Object.

Generated using TypeDoc